Package org.apache.commons.imaging

# Class PixelDensity

java.lang.Object
org.apache.commons.imaging.PixelDensity

public final class PixelDensity extends Object
Used to specify pixel density and physical dimensions when reading or storing image information.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PixelDensity`
  `createFromPixelsPerCentimetre(double x, double y)`
  `static PixelDensity`
  `createFromPixelsPerInch(double x, double y)`
  `static PixelDensity`
  `createFromPixelsPerMetre(double x, double y)`
  `static PixelDensity`
  `createUnitless(double x, double y)`
  `double`
  `getRawHorizontalDensity()`
  `double`
  `getRawVerticalDensity()`
  `double`
  `horizontalDensityCentimetres()`
  `double`
  `horizontalDensityInches()`
  `double`
  `horizontalDensityMetres()`
  `boolean`
  `isInCentimetres()`
  `boolean`
  `isInInches()`
  `boolean`
  `isInMetres()`
  `boolean`
  `isUnitless()`
  `double`
  `verticalDensityCentimetres()`
  `double`
  `verticalDensityInches()`
  `double`
  `verticalDensityMetres()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### createFromPixelsPerCentimetre

    public static PixelDensity createFromPixelsPerCentimetre(double x, double y)

  - ### createFromPixelsPerInch

    public static PixelDensity createFromPixelsPerInch(double x, double y)

  - ### createFromPixelsPerMetre

    public static PixelDensity createFromPixelsPerMetre(double x, double y)

  - ### createUnitless

    public static PixelDensity createUnitless(double x, double y)

  - ### getRawHorizontalDensity

    public double getRawHorizontalDensity()

  - ### getRawVerticalDensity

    public double getRawVerticalDensity()

  - ### horizontalDensityCentimetres

    public double horizontalDensityCentimetres()

  - ### horizontalDensityInches

    public double horizontalDensityInches()

  - ### horizontalDensityMetres

    public double horizontalDensityMetres()

  - ### isInCentimetres

    public boolean isInCentimetres()

  - ### isInInches

    public boolean isInInches()

  - ### isInMetres

    public boolean isInMetres()

  - ### isUnitless

    public boolean isUnitless()

  - ### verticalDensityCentimetres

    public double verticalDensityCentimetres()

  - ### verticalDensityInches

    public double verticalDensityInches()

  - ### verticalDensityMetres

    public double verticalDensityMetres()